﻿using UnityEngine;

public class WeatherSelect : Mod
{
    public void Start()
    {
        Debug.Log("Mod WeatherSelect has been loaded!");
    }

    public void OnModUnload()
    {
        Debug.Log("Mod WeatherSelect has been unloaded!");
    }

    [ConsoleCommand(name: "setWeather")]
    public static void SetWeather(string[] args)
    {
        /*
    Default = 0,
    Calm = 1,
    Fog = 2,
    BigWaves = 3,
    Rain = 4,
    Snow = 5,
    SnowRough = 6*/

        int weatherType = -1;
        int.TryParse(args[0], out weatherType);
        if (weatherType > -1)
        {
            if (weatherType < 0 || weatherType > 6)
                return;

            FindObjectOfType<WeatherManager>().SetWeather(((UniqueWeatherType)weatherType).ToString(), true);
        }
    }
}